Retry knowledge base sources/item/retry
curl --request POST \
--url https://api.callaro.ai/api/v1/knowledge-base-sources/{id}/retry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"knowledge_base_source": {
"selected_urls": [
"<string>"
],
"source_type": "<string>",
"title": "<string>",
"source_uri": "<string>",
"raw_text_input": "<string>",
"discover_pages": true,
"refresh_interval_hours": 123
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
knowledge_base_source: {
selected_urls: ['<string>'],
source_type: '<string>',
title: '<string>',
source_uri: '<string>',
raw_text_input: '<string>',
discover_pages: true,
refresh_interval_hours: 123
}
})
};
fetch('https://api.callaro.ai/api/v1/knowledge-base-sources/{id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/knowledge-base-sources/{id}/retry"
payload = { "knowledge_base_source": {
"selected_urls": ["<string>"],
"source_type": "<string>",
"title": "<string>",
"source_uri": "<string>",
"raw_text_input": "<string>",
"discover_pages": True,
"refresh_interval_hours": 123
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"knowledge_base_id": "<string>",
"source_type": "<string>",
"status": "<string>",
"ingest_stage": "<string>",
"title": "<string>",
"source_uri": "<string>",
"source_file_name": "<string>",
"source_mime_type": "<string>",
"source_byte_size": 123,
"fallback_extraction_used": "<string>",
"ai_extraction_mode": "<string>",
"fallback_extraction_provider": "<string>",
"fallback_extraction_model_name": "<string>",
"estimated_fallback_charge": "<string>",
"fallback_billing_currency": "<string>",
"fallback_input_rate_per_million_usd": "<string>",
"fallback_input_rate_per_million_inr": "<string>",
"fallback_output_rate_per_million_usd": "<string>",
"fallback_output_rate_per_million_inr": "<string>",
"fallback_input_rate_source": "<string>",
"fallback_output_rate_source": "<string>",
"actual_fallback_charge": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"data": {
"id": "<string>",
"tenant_id": "<string>",
"knowledge_base_id": "<string>",
"source_type": "<string>",
"status": "<string>",
"ingest_stage": "<string>",
"title": "<string>",
"source_uri": "<string>",
"source_file_name": "<string>",
"source_mime_type": "<string>",
"source_byte_size": 123,
"fallback_extraction_used": "<string>",
"ai_extraction_mode": "<string>",
"fallback_extraction_provider": "<string>",
"fallback_extraction_model_name": "<string>",
"estimated_fallback_charge": "<string>",
"fallback_billing_currency": "<string>",
"fallback_input_rate_per_million_usd": "<string>",
"fallback_input_rate_per_million_inr": "<string>",
"fallback_output_rate_per_million_usd": "<string>",
"fallback_output_rate_per_million_inr": "<string>",
"fallback_input_rate_source": "<string>",
"fallback_output_rate_source": "<string>",
"actual_fallback_charge": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}KnowledgeBases
Retry knowledge base sources/item/retry
From api/v1/knowledge_base_sources#retry in voice_saas_api. Fields come from that action’s strong params / params usage.
POST
/
api
/
v1
/
knowledge-base-sources
/
{id}
/
retry
Retry knowledge base sources/item/retry
curl --request POST \
--url https://api.callaro.ai/api/v1/knowledge-base-sources/{id}/retry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"knowledge_base_source": {
"selected_urls": [
"<string>"
],
"source_type": "<string>",
"title": "<string>",
"source_uri": "<string>",
"raw_text_input": "<string>",
"discover_pages": true,
"refresh_interval_hours": 123
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
knowledge_base_source: {
selected_urls: ['<string>'],
source_type: '<string>',
title: '<string>',
source_uri: '<string>',
raw_text_input: '<string>',
discover_pages: true,
refresh_interval_hours: 123
}
})
};
fetch('https://api.callaro.ai/api/v1/knowledge-base-sources/{id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/knowledge-base-sources/{id}/retry"
payload = { "knowledge_base_source": {
"selected_urls": ["<string>"],
"source_type": "<string>",
"title": "<string>",
"source_uri": "<string>",
"raw_text_input": "<string>",
"discover_pages": True,
"refresh_interval_hours": 123
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"knowledge_base_id": "<string>",
"source_type": "<string>",
"status": "<string>",
"ingest_stage": "<string>",
"title": "<string>",
"source_uri": "<string>",
"source_file_name": "<string>",
"source_mime_type": "<string>",
"source_byte_size": 123,
"fallback_extraction_used": "<string>",
"ai_extraction_mode": "<string>",
"fallback_extraction_provider": "<string>",
"fallback_extraction_model_name": "<string>",
"estimated_fallback_charge": "<string>",
"fallback_billing_currency": "<string>",
"fallback_input_rate_per_million_usd": "<string>",
"fallback_input_rate_per_million_inr": "<string>",
"fallback_output_rate_per_million_usd": "<string>",
"fallback_output_rate_per_million_inr": "<string>",
"fallback_input_rate_source": "<string>",
"fallback_output_rate_source": "<string>",
"actual_fallback_charge": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"data": {
"id": "<string>",
"tenant_id": "<string>",
"knowledge_base_id": "<string>",
"source_type": "<string>",
"status": "<string>",
"ingest_stage": "<string>",
"title": "<string>",
"source_uri": "<string>",
"source_file_name": "<string>",
"source_mime_type": "<string>",
"source_byte_size": 123,
"fallback_extraction_used": "<string>",
"ai_extraction_mode": "<string>",
"fallback_extraction_provider": "<string>",
"fallback_extraction_model_name": "<string>",
"estimated_fallback_charge": "<string>",
"fallback_billing_currency": "<string>",
"fallback_input_rate_per_million_usd": "<string>",
"fallback_input_rate_per_million_inr": "<string>",
"fallback_output_rate_per_million_usd": "<string>",
"fallback_output_rate_per_million_inr": "<string>",
"fallback_input_rate_source": "<string>",
"fallback_output_rate_source": "<string>",
"actual_fallback_charge": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Body
application/json
Wrapped resource object or the same fields at the top level.
Show child attributes
Show child attributes
Was this page helpful?